Skip to content

Delete DNS Zone

POST
/enum.api.v1.DnsService/DeleteZone
object
projectId
string
id
string

OK

object

invalid_argument: a field is missing or invalid.

Messages:

  • validation error: <field>: <reason>

failed_precondition: the zone is protected.

Messages:

  • zone is deletion protected; unprotect it before deleting
object
code

Error code, such as invalid_argument or not_found.

string
message

Human-readable error message.

string

unauthenticated: the token is missing, invalid, or expired.

Messages:

  • missing authorization header
  • invalid authorization header format
  • authentication failed
object
code

Error code, such as invalid_argument or not_found.

string
message

Human-readable error message.

string

permission_denied: the token has no access to this project or method.

Messages:

  • not authorized
object
code

Error code, such as invalid_argument or not_found.

string
message

Human-readable error message.

string

not_found: the resource does not exist.

Messages:

  • resource not found
object
code

Error code, such as invalid_argument or not_found.

string
message

Human-readable error message.

string

resource_exhausted: the token’s rate limit is reached.

Messages:

  • rate limit exceeded: wait for the number of seconds in Retry-After.
object
code

Error code, such as invalid_argument or not_found.

string
message

Human-readable error message.

string

internal: something failed on our side.

Messages:

  • internal error
object
code

Error code, such as invalid_argument or not_found.

string
message

Human-readable error message.

string